// HistoryListener.java
// $Id: HistoryListener.java,v 1.2 1999/10/12 08:44:31 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 1999.
// Please first read the full copyright statement in file COPYRIGHT.html
 
package org.w3c.jwput.gui;

/**
 * The listener interface for receiving history events.
 * @version $Revision: 1.2 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public interface HistoryListener {

    /**
     * Invoked when a Item as been removed
     * @param e the HistoryEvent
     */
    public void ItemRemoved(HistoryEvent e);

    /**
     * Invoked when a Item as been added
     * @param e the HistoryEvent
     */
    public void ItemAdded(HistoryEvent e);
    
}
